1. Getting Started
VLTZ PAY
  • API Reference
    • Getting Started
      • Create a hosted checkout session
        POST
      • Get payment status
        GET
    • Core Resources
      • Create a direct payment
      • List application transactions
      • Get transaction dashboard summary
      • Get an application transaction
      • List application payment activity
    • Schemas
      • CheckoutRequest
      • CreatePaymentRequest
      • PaymentRequestBase
      • CardDetails
      • PaymentMethodCode
      • BillingDetails
      • CheckoutBilling
      • LineItem
      • PaymentMetadata
      • CheckoutResponse
      • CreatePaymentResponseEnvelope
      • CreatePaymentResponse
      • ProviderCheckout
      • ProviderResult
      • PaymentRecord
      • PaymentStatus
      • ResolvedPaymentMethod
      • PaymentStatusResponseEnvelope
      • Transaction
      • TransactionResponseEnvelope
      • TransactionListResponseEnvelope
      • TransactionSummaryResponseEnvelope
      • CurrencySummary
      • DailySummary
      • ActivityLogListResponseEnvelope
      • ActivityLog
      • PaymentStatusCallback
      • ErrorEnvelope
  1. Getting Started

Get payment status

GET
https://api-vltzpay.beespokedev.com/api/v1.0/payments/status/{reference}
Returns the current payment state by its unique reference. For payments that are still in progress, VLTZ Pay attempts a provider status refresh when the configured provider supports it.

Request

Path Params

Responses

🟢200
application/json
Payment status.
Bodyapplication/json

🟠404
🟠400ValidationError
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-vltzpay.beespokedev.com/api/v1.0/payments/status/'
Response Response Example
200 - Example 1
{
    "success": true,
    "response": {
        "payment": {
            "id": 0,
            "internalReference": "string",
            "providerReference": "string",
            "amount": "string",
            "currency": "string",
            "status": "PENDING",
            "transactionType": "PAYMENT",
            "paymentMethod": "CARD",
            "items": [
                {
                    "property1": "string",
                    "property2": "string"
                }
            ],
            "failureReason": "string"
        }
    }
}
Modified at 2026-07-30 05:27:12
Previous
Create a hosted checkout session
Next
Create a direct payment
Built with